Subject: Re: bug#77535: timeout treats very short durations as `0`

From: Paul Eggert <[email-masked]>
Date: Mon, 7 Apr 2025 01:23:46 -0700

On 2025-04-05 12:41, Pádraig Brady wrote:
> +Note it's best to avoid combining suffixes with hexadecimal arguments,
> +as any @samp{d} will @emph{not} be interpreted as a suffix.

But 'd' is interpreted as a suffix with hexadecimal arguments that have 
an exponent. For example, 'sleep 0x1p0d' sleeps for 1 day. (Also, "Note" 
isn't needed.) Perhaps change to:

A hexadecimal number can precede a @samp{d} suffix only if the number 
has a @samp{p} style exponent, e.g., @samp{0x1p0d} means one day.